Skip to content

Get a lead

GET
/leads/{id}
curl --request GET \
--url https://app.whatsetter.com/api/v1/leads/example \
--header 'Authorization: Bearer <token>'

Requires scope leads:read.

id
required
string

The lead

Media typeapplication/json
object
data
object
id
string
phone

Digits with country code, no +

string | null
whatsapp_id
string | null
name
string | null
status
string | null
Allowed values: qualified in_progress not_interested cold pending stopped queued unknown
qualified
boolean
qualified_at
string | null format: date-time
replied
boolean
campaign_id
string | null
list_id
string | null
email
string | null
tags
Array<string>
messages_count
integer
booking_status
string | null
first_contact_at
string | null format: date-time
last_message_at
string | null format: date-time
last_message_direction
string | null
Allowed values: inbound outbound
created_at
string format: date-time
updated_at
string format: date-time
Example
{
"data": {
"status": "qualified",
"last_message_direction": "inbound"
}
}

Missing, unknown or revoked API key

Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}

Resource not found in this workspace

Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{
"error": {
"code": "example",
"message": "example"
}
}